SF.net SVN: supercollider:[9078] trunk

View: New views
1 Messages — Rating Filter:   Alert me  

SF.net SVN: supercollider:[9078] trunk

by danstowell :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Revision: 9078
          http://supercollider.svn.sourceforge.net/supercollider/?rev=9078&view=rev
Author:   danstowell
Date:     2009-04-19 20:04:02 +0000 (Sun, 19 Apr 2009)

Log Message:
-----------
Pass parameters through from compilation scripts to the xcode calls, therefore allowing users to specify that they don't want UB builds

Modified Paths:
--------------
    trunk/clean-compile.sh
    trunk/compile.sh

Modified: trunk/clean-compile.sh
===================================================================
--- trunk/clean-compile.sh 2009-04-19 19:35:34 UTC (rev 9077)
+++ trunk/clean-compile.sh 2009-04-19 20:04:02 UTC (rev 9078)
@@ -2,28 +2,38 @@
 
 # This script cleans all targets, then builds the projects for the server, the plugins and the application (sclang) projects, one after another.
 
+if [ $# == 0 ]; then
+ echo "--------------------------------------------------------------------------------
+Building SuperCollider as a UNIVERSAL BINARY (intel + ppc).
+For faster build, or if you don't have UB versions of the libs (e.g. libsndfile),
+you may specify your computer's architecture by adding ARCHS=i386 or ARCHS=ppc
+as a parameter to this script.
+--------------------------------------------------------------------------------
+"
+fi
+
 # clean
 echo "Cleaning scsynth..."
-xcodebuild -project Synth.xcodeproj -target "All" clean || exit
+xcodebuild -project Synth.xcodeproj -target "All" $* clean || exit
 
 echo "Cleaning plugins..."
-xcodebuild -project Plugins.xcodeproj -target "All" clean || exit
+xcodebuild -project Plugins.xcodeproj -target "All" $* clean || exit
 
 echo "Cleaning sclang..."
-xcodebuild -project Language.xcodeproj -target "All" clean || exit
+xcodebuild -project Language.xcodeproj -target "All" $* clean || exit
 
 echo "Clean Done."
 
 # scsynth
 echo "Building scsynth..."
-xcodebuild -project Synth.xcodeproj -target "All" -configuration "Deployment" build || exit
+xcodebuild -project Synth.xcodeproj -target "All" -configuration "Deployment" $* build || exit
 
 # plugins
 echo "Building plugins..."
-xcodebuild -project Plugins.xcodeproj -target "All" -configuration "Deployment" build || exit
+xcodebuild -project Plugins.xcodeproj -target "All" -configuration "Deployment" $* build || exit
 
 #sclang
 echo "Building sclang..."
-xcodebuild -project Language.xcodeproj -target "All" -configuration "Deployment" build || exit
+xcodebuild -project Language.xcodeproj -target "All" -configuration "Deployment" $* build || exit
 
 echo "Done."

Modified: trunk/compile.sh
===================================================================
--- trunk/compile.sh 2009-04-19 19:35:34 UTC (rev 9077)
+++ trunk/compile.sh 2009-04-19 20:04:02 UTC (rev 9078)
@@ -2,16 +2,26 @@
 
 # This script builds the server, the plugins and the application (sclang), one after another.
 
+if [ $# == 0 ]; then
+ echo "--------------------------------------------------------------------------------
+Building SuperCollider as a UNIVERSAL BINARY (intel + ppc).
+For faster build, or if you don't have UB versions of the libs (e.g. libsndfile),
+you may specify your computer's architecture by adding ARCHS=i386 or ARCHS=ppc
+as a parameter to this script.
+--------------------------------------------------------------------------------
+"
+fi
+
 # scsynth
 echo "Building scsynth..."
-xcodebuild -project Synth.xcodeproj -target "All" -configuration "Deployment" build || exit
+xcodebuild -project Synth.xcodeproj -target "All" -configuration "Deployment" $* build || exit
 
 # plugins
 echo "Building plugins..."
-xcodebuild -project Plugins.xcodeproj -target "All" -configuration "Deployment" build || exit
+xcodebuild -project Plugins.xcodeproj -target "All" -configuration "Deployment" $* build || exit
 
 #sclang
 echo "Building sclang..."
-xcodebuild -project Language.xcodeproj -target "All" -configuration "Deployment" build || exit
+xcodebuild -project Language.xcodeproj -target "All" -configuration "Deployment" $* build || exit
 
 echo "Done."


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.

_______________________________________________
sc-dev mailing list

info (subscription, etc.): http://www.beast.bham.ac.uk/research/sc_mailing_lists.shtml
archive: http://www.listarc.bham.ac.uk/marchives/sc-dev/
search: http://www.listarc.bham.ac.uk/lists/sc-dev/search/